
#include <ESP32Servo.h>

Servo myservo;

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  Serial.println("Hello, ESP32-C3!");
  pinMode(0, INPUT);  //button 1
  pinMode(10, INPUT); //button 2
  pinMode(1, OUTPUT); //r
  pinMode(2, OUTPUT); //g
  pinMode(3, OUTPUT); //b
  myservo.attach(9);
}

void loop() {
  // put your main code here, to run repeatedly:
  delay(10); // this speeds up the simulation
  int x = digitalRead(0);
  int y = digitalRead(10);
  Serial.println(x);
  Serial.print(y);

  if(!x && y){
    digitalWrite(1,LOW);
    digitalWrite(2,HIGH);
    digitalWrite(3,HIGH);
    myservo.write(80);
  }
  if(x && !y){
    digitalWrite(1,HIGH);
    digitalWrite(2,LOW);
    digitalWrite(3,HIGH);
    myservo.write(100);
  }
  if(!x && !y){
    digitalWrite(1,HIGH);
    digitalWrite(2,HIGH);
    digitalWrite(3,LOW);
    myservo.write(90);
  }

}
